# Uses of Class
javax.mail.Flags.Flag

Packages that use Flags.Flag
Package
Description
com.sun.mail.imap
An IMAP protocol provider for the Jakarta Mail API that provides access to an IMAP message store.
javax.mail
The Jakarta Mail API provides classes that model a mail system.
javax.mail.internet
Classes specific to Internet mail systems.

## Uses of Flags.Flag in com.sun.mail.imap

Methods in com.sun.mail.imap with parameters of type Flags.Flag
Modifier and Type
Method
Description
`boolean`
IMAPMessage.`isSet(Flags.Flag flag)`
Test if the given Flags are set in this message.

## Uses of Flags.Flag in javax.mail

Fields in javax.mail declared as Flags.Flag
Modifier and Type
Field
Description
`static final Flags.Flag`
Flags.Flag.`ANSWERED`
This message has been answered.
`static final Flags.Flag`
Flags.Flag.`DELETED`
This message is marked deleted.
`static final Flags.Flag`
Flags.Flag.`DRAFT`
This message is a draft.
`static final Flags.Flag`
Flags.Flag.`FLAGGED`
This message is flagged.
`static final Flags.Flag`
Flags.Flag.`RECENT`
This message is recent.
`static final Flags.Flag`
Flags.Flag.`SEEN`
This message is seen.
`static final Flags.Flag`
Flags.Flag.`USER`
A special flag that indicates that this folder supports user defined flags.
Methods in javax.mail that return Flags.Flag
Modifier and Type
Method
Description
`Flags.Flag[]`
Flags.`getSystemFlags()`
Return all the system flags in this Flags object.
Methods in javax.mail with parameters of type Flags.Flag
Modifier and Type
Method
Description
`void`
Flags.`add(Flags.Flag flag)`
Add the specified system flag to this Flags object.
`boolean`
Flags.`contains(Flags.Flag flag)`
Check whether the specified system flag is present in this Flags object.
`boolean`
Message.`isSet(Flags.Flag flag)`
Check whether the flag specified in the `flag` argument is set in this message.
`void`
Flags.`remove(Flags.Flag flag)`
Remove the specified system flag from this Flags object.
`void`
Message.`setFlag(Flags.Flag flag, boolean set)`
Set the specified flag on this message to the specified value.
Constructors in javax.mail with parameters of type Flags.Flag
Modifier
Constructor
Description
``
`Flags(Flags.Flag flag)`
Construct a Flags object initialized with the given system flag.

## Uses of Flags.Flag in javax.mail.internet

Methods in javax.mail.internet with parameters of type Flags.Flag
Modifier and Type
Method
Description
`boolean`
MimeMessage.`isSet(Flags.Flag flag)`
Check whether the flag specified in the `flag` argument is set in this message.